package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import javax.validation.constraints.NotNull;
import java.util.HashSet;
import java.util.Set;

/**
 * class PosisiRahim
 * 
 * @author Generator
 */
public class PenghitunganKassaDanAlatOperasiVO extends BaseTransactionVO {
	@NotNull(message = "Pasien tidak boleh kosong")
	private AntrianPasienDiPeriksaVO pasienDaftar;

	private Set<DetailAlatYangDigunakanVO> detailAlatYangDigunakan = new HashSet<DetailAlatYangDigunakanVO>();

	private Set<DetailDokterOperasiVO> detailDokterOperasi = new HashSet<DetailDokterOperasiVO>();

	public Set<DetailAlatYangDigunakanVO> getDetailAlatYangDigunakan() {
		return detailAlatYangDigunakan;
	}

	public void setDetailAlatYangDigunakan(Set<DetailAlatYangDigunakanVO> detailAlatYangDigunakan) {
		this.detailAlatYangDigunakan = detailAlatYangDigunakan;
	}

	public Set<DetailDokterOperasiVO> getDetailDokterOperasi() {
		return detailDokterOperasi;
	}

	public void setDetailDokterOperasi(Set<DetailDokterOperasiVO> detailDokterOperasi) {
		this.detailDokterOperasi = detailDokterOperasi;
	}

	public AntrianPasienDiPeriksaVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

}
